function [B] = partialB(N, M, hmmDataSet, percent)
B = zeros(N, M);
indices = randperm(size(hmmDataSet, 1));
indices = indices(1 : round(percent * length(indices)));

tempDataSet = hmmDataSet(indices, :);
for i = 1 : length(tempDataSet)
    B(tempDataSet(i, 2), tempDataSet(i, 1)) = B(tempDataSet(i, 2), tempDataSet(i, 1)) + 1;
end

for i = 1 : N
    tempSum = sum(B(i, :));
    if tempSum > 0
        B(i, :) = B(i, :) / tempSum;
    else
        B(i, :) = 1 / M; %uniform distribution
    end
end